io.vertx.ext.web.handler.sockjs

## Interface BridgeEvent

- All Superinterfaces:
    AsyncResult<Boolean>, Future<Boolean>, Handler<AsyncResult<Boolean>>

      public interface BridgeEvent
      extends Future<Boolean>

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  Author:
    Tim Fox

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.core.Future

      `factory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonObject` | `getRawMessage()` Get the raw JSON message for the event.
    `JsonObject` | `rawMessage()` Deprecated.
    `BridgeEvent` | `setRawMessage(JsonObject message)` Get the raw JSON message for the event.
    `SockJSSocket` | `socket()` Get the SockJSSocket instance corresponding to the event
    `BridgeEventType` | `type()`

    - ### Methods inherited from interface io.vertx.core.Future

      `cause, complete, complete, completer, compose, compose, fail, fail, failed, failedFuture, failedFuture, future, future, handle, isComplete, map, map, mapEmpty, otherwise, otherwise, otherwiseEmpty, recover, result, setHandler, succeeded, succeededFuture, succeededFuture, tryComplete, tryComplete, tryFail, tryFail`

- - ### Method Detail

    - #### type

          BridgeEventType type()

      Returns:
        the type of the event

    - #### rawMessage

          @Deprecated
          JsonObject rawMessage()

      Deprecated.
      Use `getRawMessage()` instead, will be removed in 3.3

    - #### getRawMessage

          JsonObject getRawMessage()

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved. If the returned message is modified, `setRawMessage(io.vertx.core.json.JsonObject)` should be called with the new message.
      Returns:
        the raw JSON message for the event

    - #### setRawMessage

          BridgeEvent setRawMessage(JsonObject message)

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.
      Parameters:
        `message` - the raw message
      Returns:
        this reference, so it can be used fluently

    - #### socket

          SockJSSocket socket()

      Get the SockJSSocket instance corresponding to the event
      Returns:
        the SockJSSocket instance

Copyright © 2017. All rights reserved.